PHP Manual
Prev |  | Next

# Swish->getPropertyList

(no version information, might be only in CVS)

Swish->getPropertyList -- Get the list of properties for the index

## Description

array Swish->getPropertyList ( string index_name )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

`index_name`

  The name of the index file.

## Return Values

Returns an array of properties for the given index.

## Examples

Example 1. Basic Swish->getPropertyList() example

`<?php try { $swish = new Swish("index.swish-e"); $properties = $swish->getPropertyList("index.swish-e"); foreach ($properties as $prop) { echo $prop["Name"],"\n"; } } catch (SwishException $e) { echo $e->getMessage(), "\n"; } ?>`

The above example will output something similar to:

    swishreccount
    swishrank
    swishfilenum
    swishdbfile
    swishdocpath
    swishtitle
    swishdocsize
    swishlastmodified

Prev | Home | Next
Swish->getMetaList | Up | Swish->prepare